- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_vrouter_interface_ip – CLI command to add/remove vrouter-interface-ip

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to add an IP address on interface from a vRouter or remove an IP address on interface from a vRouter.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_bd string |  | interface Bridge Domain.
pn_cliswitch string |  | Target switch to run the CLI on.
pn_ip string |  | IP address.
pn_netmask string |  | netmask.
pn_nic string |  | virtual NIC assigned to interface.
pn_vnet string |  | interface VLAN VNET.
pn_vrouter_name string |  | name of service config.
state string / required | Choices: present absent | State the action to perform. Use `present` to addvrouter-interface-ip and `absent` to remove vrouter-interface-ip.

## Examples

    - name: Add vrouter interface to nic
      pn_vrouter_interface_ip:
        state: "present"
        pn_cliswitch: "sw01"
        pn_vrouter_name: "foo-vrouter"
        pn_ip: "2620:0:1651:1::30"
        pn_netmask: "127"
        pn_nic: "eth0.4092"

    - name: Remove vrouter interface to nic
      pn_vrouter_interface_ip:
        state: "absent"
        pn_cliswitch: "sw01"
        pn_vrouter_name: "foo-vrouter"
        pn_ip: "2620:0:1651:1::30"
        pn_nic: "eth0.4092"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the vrouter-interface-ip command.
stdout list | always | set of responses from the vrouter-interface-ip command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.